.timeline-grad {
    padding: 0px 5%;
    max-width: 1300px;
    margin: 0 auto;
}

.timeline-grad>.timeline-grad-item {
    display: flex;
    align-items: flex-start;
}

.timeline-grad>.timeline-grad-item>div {
    flex: 1;
    padding: 20px 40px;
}

.timeline-grad>.timeline-grad-item>div:last-child {
    text-align: left;
    padding-bottom: 30px !important;
}

.timeline-grad>.timeline-grad-item>div:first-child::after {
    content: "";
    position: absolute;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: #212121;
    top: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 0 4px rgba(0, 0, 0, 0.2);
}

.timeline-grad>.timeline-grad-item:nth-child(odd)>div:first-child {
    text-align: right;
    position: relative;
}

.timeline-grad>.timeline-grad-item:nth-child(odd)>div:first-child::after {
    right: -17px;
}

.timeline-grad>.timeline-grad-item:nth-child(odd)>div:last-child {
    text-align: left;
    border-left: 2px dotted #e0e0e0;
}

.timeline-grad>.timeline-grad-item:nth-child(odd)>.timeline-grad-date>div {
    margin-right: 0px;
}

.timeline-grad>.timeline-grad-item:nth-child(odd)>.timeline-grad-date>img {
    right: 11%;
    left: inherit;
}

.timeline-grad>.timeline-grad-item:nth-child(odd)>.timeline-grad-content>h2 {
    text-align: left !important;
}

.timeline-grad>.timeline-grad-item:nth-child(odd)>.timeline-grad-content>p>img {
    right: 0;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>div:first-child {
    order: 2;
    text-align: left;
    position: relative;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>div:first-child::after {
    left: -1px;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>div:last-child {
    order: 1;
    text-align: right;
    border-right: 2px dotted #e0e0e0;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-date>div {
    margin-left: 0px;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-date>img {
    left: 11%;
    right: inherit;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-content>h2 {
    text-align: right !important;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-content>p>img {
    right: inherit;
    left: 0;
    transform-origin: bottom left;
}

.timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-content>p>button {
    left: inherit;
    right: 15px;
}

.timeline-grad>.timeline-grad-item .timeline-grad-date {
    position: relative;
}

.timeline-grad>.timeline-grad-item .timeline-grad-date>img {
    position: absolute;
    filter: grayscale(100%);
    opacity: 0.06;
    transform: scale(1.2);
    transform-origin: center;
    left: 11%;
}

.timeline-grad>.timeline-grad-item .timeline-grad-date>div {
    background-color: #f1f1f1;
    
    border-radius: 50px;
    color: rgb(150, 150, 150);
    text-align: center;
    max-width: max-content;
    margin: auto;
    padding: 10px 30px;
}

.timeline-grad>.timeline-grad-item .timeline-grad-content .fa-icon {
    font-size: 80px;
}

.timeline-grad>.timeline-grad-item .timeline-grad-content>h2 {
    color: black;
    margin: 0px;
    font-size: 1.3em;
    font-weight: bold;
    margin-top: 7px;
}

.timeline-grad>.timeline-grad-item .timeline-grad-content>h2 span {
    color: #212121;
    font-weight: bold;
    font-size: 0.6em;
    letter-spacing: 2px;
    margin-left: 5px;
}

.timeline-grad>.timeline-grad-item .timeline-grad-content>p {
    padding: 20px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 10px 20px rgba(103, 58, 183, 0.08);
    position: relative;
    line-height: 25px;
    height: fit-content;
    font-size: 1.2rem;font-weight: 300;line-height: 30px;
}

.timeline-grad>.timeline-grad-item .timeline-grad-content>p>img {
    width: 100px;
    opacity: 0.05;
    position: absolute;
    right: 0;
    bottom: 0;
    transform-origin: bottom right;
    transform: scale(1.8);
}

.timeline-grad>.timeline-grad-item .timeline-grad-content>p>button {
    background: no-repeat;
    outline: none;
    color: #673AB7;
    border: none;
    padding: 7px 15px;
    position: absolute;
    bottom: 15px;
    border-radius: 30px;
    left: 15px;
    box-shadow: 0 0px 2px rgba(103, 58, 183, 0.1);
    cursor: pointer;
    letter-spacing: 1px;
    font-size: 0.9em;
    font-weight: normal;
    transition: all 0.5s ease;
}


@media (max-width: 767px) {
    .timeline-grad>.timeline-grad-item {
        flex-direction: column;
        border-left: 2px solid #e0e0e0;
    }
    .timeline-grad>.timeline-grad-item .timeline-grad-date>img {
        display: none;
    }
    .timeline-grad>.timeline-grad-item>div {
        border-width: 0px !important;
        text-align: left !important;
        order: unset !important;
    }
    .timeline-grad>.timeline-grad-item>div::after {
        left: 0% !important;
    }
    .timeline-grad>.timeline-grad-item:nth-child(odd)>.timeline-grad-content>h2 {
        text-align: left !important;
    }
    .timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-content>h2 {
        text-align: left !important;
    }
    .timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-content>p>img {
        right: 0;
        left: inherit;
        transform-origin: bottom right;
    }
    .timeline-grad>.timeline-grad-item:nth-child(even)>.timeline-grad-content>p>button {
        left: 15px;
        right: inherit;
    }
}